/**
@mainpage KAPPA

@tableofcontents

KAPPA is open-source library written in C++ and developed at the Department of Hydroaeromechanics of the Saint Petersburg State University (SPBGU). The aim of KAPPA is to provide thermodynamic, transport, chemistry and energy transfer properties associated with non-equilibrium reacting flows. KAPPA implements rigorous mathematical kinetic models.

@section manual Manual

The KAPPA manual is divided into the following sections:
- Section [Installation](@ref installation) describes the installation process
- Section [Equations](@ref model) describes the underlying mathematical kinetic theory model
- Section [Bibliography](@ref citelist) lists all of the citations used throughout the manual
  and reference documentation

@section license KAPPA License

Copyright 2018 Saint Petersburg State University (SPBGU)

KAPPA is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License
as published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

KAPPA is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
[GNU Lesser General Public License](https://www.gnu.org/licenses/lgpl.html)
for more details.

@section developers Developers

KAPPA was originally developed by __G.P. Oblarenko__ at the 
[Department of Hydroaeromechanics of the Saint Petersburg State University (SPBGU)](http://www.math.spbu.ru/GAM/index.html).
KAPPA is continually improved and extended and currently includes contributions from the following individuals:
- Lorenzo Campoli
- Ilya Alekseev
- Anastasiya Demko
- Vladimir Istomin
- Anton Karpenko
- Olga Kornienko
- Alena Kosareva
- Mariia Mekhonoshina
- Mariia Nabokova
- Ksenia Papina
- Aleksei Savelev

@section Source Source Code

It can be found at: https://github.com/lkampoli/kappa

*/


